%global modulename tweetnacl

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-tweetnacl
Version:        0.14.5
Release:        1%{?dist}
Summary:        Port of TweetNaCl cryptographic library to JavaScript

License:        Unlicense
URL:            https://tweetnacl.js.org
Source0:        https://registry.npmjs.org/tweetnacl/-/tweetnacl-0.14.5.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
Port of TweetNaCl cryptographic library to JavaScript

%package 0.14.5
Summary:        Port of TweetNaCl cryptographic library to JavaScript


%description 0.14.5
Port of TweetNaCl cryptographic library to JavaScript

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nacl-fast.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nacl-fast.min.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nacl.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nacl.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nacl.min.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc AUTHORS.md
%doc CHANGELOG.md
%doc PULL_REQUEST_TEMPLATE.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 0.14.5
%doc AUTHORS.md
%doc CHANGELOG.md
%doc PULL_REQUEST_TEMPLATE.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 0.14.5-1
- Package automatically generated by npm2srpm
